//priority: 100
ClientEvents.lang("en_us", (event) => {
  // Keep Stepping has its own toggle. Client Tweaks needs to stay in their lane.
  event.add(
    "clienttweaks",
    "key.clienttweaks.disableStepAssist",
    "Don't Use this to Toggle Step Up"
  );
  
// Create Jetpack Keybinds Category
event.add(
  "create_jetpack",
  "key.categories.movement.jetpack",
  "Jetpack"
)

// Uncharted Expeditions
  event.add(
    "generikb",
    "biome.generikb.clover_plains",
    "Mycelium Clover Plains"
  );

  // Sword In The unlocalized Stone
  event.add(
    "swordinthestone",
    "block.swordinthestone.sword_stone",
    "Sword Stone"
  );

  // This mod is so cute! UwU
  event.add(
    "seadwellers",
    "info.mermorph_trade_fish",
    "Accepts: Any Sushi Roll"
  );
  event.add(
    "seadwellers",
    "info.mermorph_trade_aquamarine",
    "Accepts: Bowl of Guardian Soup"
  );
  event.add(
    "seadwellers",
    "info.mermorph_trade_nautilus",
    "Accepts: Cabbage Wrapped Elder Guardian"
  );

  // Farmer's Delight
  event.add(
    "farmersdelight",
    "farmersdelight.advancement.place_campfire.desc",
    "Bonfire It Up"
  );

  // Custom Portal Block
  event.add(
    "cpapireforged",
    "block.cpapireforged.custom_portal_block",
    "Portal"
  );

  // Nethers Exoticism
  event.add(
    "nethers_exoticism",
    "fluid_type.nethers_exoticism.jaboticaba_juice",
    "Jaboticaba Juice"
  );
  
  // Renaming Mechanical Spawner Fluids
  
  // Imp Spawning
  event.add(
    "create_mechanical_spawner",
    "fluid.create_mechanical_spawner.spawn_fluid_skeleton",
    "Imp Spawning Fluid"
  );
  event.renameItem('create_mechanical_spawner:spawn_fluid_skeleton_bucket', 'Bucket of Imp Spawning Fluid')

  // Img Guard Spawning
  event.add(
    "create_mechanical_spawner",
    "fluid.create_mechanical_spawner.spawn_fluid_blaze",
    "Imp Guard Spawning Fluid"
  );
  event.renameItem('create_mechanical_spawner:spawn_fluid_blaze_bucket', 'Bucket of Imp Guard Spawning Fluid')

  // Demon Spawning
  event.add(
    "create_mechanical_spawner",
    "fluid.create_mechanical_spawner.spawn_fluid_enderman",
    "Demon Spawning Fluid"
  );
  event.renameItem('create_mechanical_spawner:spawn_fluid_enderman_bucket', 'Bucket of Demon Spawning Fluid')

  // Demon Lord
  event.add(
    "create_mechanical_spawner",
    "fluid.create_mechanical_spawner.spawn_fluid_slime",
    "Demon Lord Spawning Fluid"
  );
  event.renameItem('create_mechanical_spawner:spawn_fluid_slime_bucket', 'Bucket of Demon Lord Spawning Fluid')

  // Ancient Demon Lord
  event.add(
    "create_mechanical_spawner",
    "fluid.create_mechanical_spawner.spawn_fluid_spider",
    "Ancient Demon Lord Spawning Fluid"
  );
  event.renameItem('create_mechanical_spawner:spawn_fluid_spider_bucket', 'Bucket of Ancient Demon Lord Spawning Fluid')

  // Lizard Tail
  event.add(
    "create_mechanical_spawner",
    "fluid.create_mechanical_spawner.spawn_fluid_creeper",
    "Lizard Tail Spawning Fluid"
  );
  event.renameItem('create_mechanical_spawner:spawn_fluid_creeper_bucket', 'Bucket of Lizard Tail Spawning Fluid')

  // Dragonfly
  event.renameItem('create_mechanical_spawner:spawn_fluid_parrot_bucket', 'Bucket of Dragonfly Spawning Fluid')
  event.add(
    "create_mechanical_spawner",
    "fluid.create_mechanical_spawner.spawn_fluid_parrot",
    "Dragonfly Spawning Fluid"
  );
  


  // Ad Astra Space Steel
  event.renameItem('ad_astra:steel_ingot', "Space Steel Ingot")
  event.renameItem('ad_astra:steel_nugget', "Space Steel Nugget")
  event.renameItem('ad_astra:steel_plate', "Space Steel Plate")
  event.renameItem('ad_astra:steel_rod', "Space Steel Rod")
  event.renameItem('ad_astra:steel_block', "Space Steel Block")

  // Create Ancient Gold 
  event.renameItem('createsifter:brass_sifter', "Ancient Gold Sifter")
  event.renameItem('createsifter:brass_mesh', "Ancient Gold Mesh")
  event.renameItem('create:brass_tunnel', "Ancient Gold Tunnel")
  event.renameItem('create:brass_scaffolding', "Ancient Gold Scaffolding")
  event.renameItem('create:brass_ladder', "Ancient Gold Ladder")
  event.renameItem('create:brass_hand', "Ancient Gold Hand")
  event.renameItem('create:brass_funnel', "Ancient Gold Funnel")
  event.renameItem('create:brass_door', "Ancient Gold Door")
  event.renameItem('create:brass_casing', "Ancient Gold Casing")
  event.renameItem('create:brass_bars', "Ancient Gold Bars")
  event.renameItem('create_sa:brass_sword', "Ancient Gold Sword")
  event.renameItem('create_sa:brass_shovel', "Ancient Gold Shovel")
  event.renameItem('create_sa:brass_pickaxe', "Ancient Gold Pickaxe")
  event.renameItem('create_sa:brass_leggings', "Ancient Gold Leggings")
  event.renameItem('create_sa:brass_jetpack_chestplate', "Ancient Gold Jetpack")
  event.renameItem('create_sa:brass_hoe', "Ancient Gold Hoe")
  event.renameItem('create_sa:brass_helmet', "Ancient Gold Helmet")
  event.renameItem('create_sa:brass_exoskeleton_chestplate', "Ancient Gold Exoskeleton")
  event.renameItem('create_sa:brass_drill_head', "Ancient Gold Drill Head")
  event.renameItem('create_sa:brass_cube', "Ancient Gold Cube")
  event.renameItem('create_sa:brass_chestplate', "Ancient Gold Chestplate")
  event.renameItem('create_sa:brass_boots', "Ancient Gold Boots")
  event.renameItem('create_sa:brass_axe', "Ancient Gold Axe")

  // Caramel Casing Stuff
  event.renameItem('create:copper_casing', "Caramel Casing")
  event.renameItem('create_sa:copper_jetpack_chestplate', "Caramel Jetpack")

  // Treated Brass is Create DD Bronze
  event.renameItem('scguns:treated_brass_helmet', "Bronze Helmet")
  event.renameItem('scguns:treated_brass_chestplate', "Bronze Chestplate")
  event.renameItem('scguns:treated_brass_leggings', "Bronze Leggings")
  event.renameItem('scguns:treated_brass_boots', "Bronze Boots")
  event.renameItem('scguns:treated_brass_blueprint', "Bronze Blueprint")
  event.renameItem('scguns:treated_brass_gun_frame', "Bronze Gun Frame")

  // Minecraft Wooden Tools are Toys
  event.renameItem('minecraft:wooden_axe', "Toy Axe")
  event.renameItem('minecraft:wooden_pickaxe', "Toy Pickaxe")
  event.renameItem('minecraft:wooden_hoe', "Toy Hoe")
  event.renameItem('minecraft:wooden_shovel', "Toy Shovel")
  event.renameItem('minecraft:wooden_sword', "Toy Sword")

  // Sugar Water clarification
  event.add('the_bumblezone.sugar_water_bucket.description', "Bucket holding Sugar Water fluid. Can be obtained by using an empty Bucket on Sugar Water. Can be used in Dispensers too!")
  event.add('the_bumblezone.sugar_water_still.description', "A fluid that is Water infused with Sugar. Any mobs in it is slowed slightly more than regular water. This fluid can be found in The Bumblezone dimension or obtained from waterlogging Honey Crystal Block.\n Overall, Sugar Water will have much of the same behavior as regular water because this fluid has a water tag. This means you can hydrate Farmland or keep coral alive with this fluid. \n\n\n This fluid will heal any bee touching it if the bee is not currently taking damage. Furthermore, this fluid will grow Sugar Cane much faster if placed next to the plant (this effect can be stacked up to 4 times). \n\n When this fluid comes in contact with any other fluid that has a lava tag, this fluid will turn into either Sugar Infused Cobblestone or Sugar Infused Stone blocks.")
  // Capitalization grammar fix for Bumblezone honey bucket description
  event.add('the_bumblezone.honey_bucket.description',  " Bucket holding Honey fluid. Can be obtained by crafting buckets with Honey Bottles and can be reverse crafted back to Honey Bottles too. \n\n If used on bees, it will fully heal them. If used on an adult bee, it puts it and nearby bees into love mode! If used on a child bee, it has a chance of growing them into an adult. Can be used in Dispensers too! \n\n Flows faster in warmer biomes and slower in colder biomes. Turns into Glistering Honey Crystal block in ultrawarm dimensions like The Nether.")


});
